const Fly = require('flyio/dist/npm/wx')

const fly = new Fly

fly.config = {
  timeout: '10000',
}

export const addRequestInterceptor =
  fly.interceptors.request.use.bind(fly.interceptors.request)

export const addResponseInterceptor =
  fly.interceptors.response.use.bind(fly.interceptors.response)

export default {
  install(Vue) {
    Vue.prototype.$http = fly
  },
  config(conf) {
    return Object.assign(fly.config, conf)
  }
}
